#!/bin/bash

#########################################################################
#                                                                       #
#       Startskript fr die SWE6.3 - Umfassende Datenanalyse            #
#                                                                       #
#  Das Skript ist als Beispiel zu betrachten und muss eventuell an die  #
#  Gegebenheiten des lokalen Projektes angepasst werden.                #
#                                                                       #
#  Es wird angenommen, dass die Kernsoftware gem der allgmeinen       #
#  installiert wurde, insbesondere die Installation der SWE in einzel-  #
#  Unterverzeichnissen unter dem Verzeichnis "distributionspakete"      #
#  und die Existenz einer allgemeinen Einstellungsdatei                 #
#  "einstellungen.sh" im Verzeichnis "../../skripte-bash" relativ       #
#  zum Verzeichnis in dem dieses Skript residiert, in dem die allge-    #
#  meinen Parameter fr die Datenverteilerkopplung festgelegt sind.     #
#                                                                       #
#########################################################################
#  Folgende Parameter die aus der Datei einstellungen.sh ermittelt      #
#  werden mssen berprft und evtl. angepasst werden.                  #
#########################################################################
#  Parameter fr den Java-Interpreter                                   #
#  jvmArgs="-Dfile.encoding=ISO-8859-1"                                 #
#                                                                       #
#  Parameter fr den Datenverteiler                                     #
#  dav1="-datenverteiler=localhost:8083 -benutzer=Tester \              # 
#           -authentifizierung=passwd -debugFilePath=.."                #
#########################################################################

. ../../skripte-bash/einstellungen.sh

#########################################################################
#                                                                       #
#    Parameter fr die Ausfhrung der Umfassenden Datenananalyse        #
#                                                                       #
#########################################################################

#########################################################################
#                                                                       #
#  der Name des auszufhrenden Skripts (Dateiname)                      #
#                                                                       #
#########################################################################

UDASKRIPT=beispiel.uda

#########################################################################
#                                                                       #
#  Konsolenausgabe einschalten ?                                        #
#                                                                       #
#########################################################################

KONSOLE=ja

#########################################################################
#                                                                       #
#  Der Name der Datei, in die die Ausgaben erfolgen sollen.             # 
#  Wenn kein Name angegeben wird und die Konsolenausgabe ausgeschaltet  #
#  ist wird der Name aus dem Name des Skripts gebildet.                 #
#                                                                       #
#########################################################################

PROTOKOLLDATEI=beispiel.prot

#########################################################################
#                                                                       #
#  Zustzliche Parameter fr den Start der Java-VM                      #
#                                                                       #
#########################################################################

jvmargs=%jvmargs%

#########################################################################
#                                                                       #
#                  Ausfhrung der Softwareeinheit                       #
#                                                                       #
#  Ab hier darf in dem Skript keine nderung mehr vorgenommen werden.   #
#                                                                       #
#########################################################################

java $jvmargs -cp de.bsvrz.ibv.uda-runtime.jar de.bsvrz.ibv.uda.interpreter.UdaInterpreter $dav1 \
	-skriptName=$UDASKRIPT \
	-protokollName=$PROTOKOLLDATEI \
	-konsolenAusgabe=$KONSOLE \
	-debugLevelStdErrText=INFO \
	-debugLevelFileText=CONFIG \
	-debugSetLoggerAndLevel=:CONFIG 
