/*
 * Segment 6 Intelligente Bewertungsverfahren, SWE 6.3 Umfassende Datenanalyse
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.ibv.uda.interpreter;

import de.bsvrz.sys.funclib.bitctrl.interpreter.Operator;

/**
 * Definition der allgemeinen Funktionen und Operatoren eines Uda-Interpreters.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
public final class InterpreterHandlerOperatoren {

	/** liefert den Namen einer Klasse. */
	public static final Operator KLASSE = Operator.getOperator("klasse");

	/** liefert eine Kopie des Objekts. */
	public static final Operator ERZEUGE_KOPIE = Operator.getOperator("erzeugeKopie");

	/** die Liste der unterstützten Operatoren. */
	public static final Operator[] OPERATOREN = { InterpreterHandlerOperatoren.KLASSE,
			InterpreterHandlerOperatoren.ERZEUGE_KOPIE };

	/** privater Konstruktor für Utility-Klasse. */
	private InterpreterHandlerOperatoren() {
		super();
	}
}
